/* An example of FUNCDEF'ing various Windows OS functions
 * to locate the Rexx Programmer Center main window, and
 * determine its width, height, and X Y position on the
 * desktop.
 */

OPTIONS "C_CALL WINFUNC NOSOURCE"
NUMERIC DIGITS 10

/* ============== FUNCDEF some needed OS functions ============ */

DO
	RxFuncAdd('rexxgui')

	/* Register the Windows OS function FindWindow() */
	FUNCDEF("FindWindow", "void, str, str", "user32")

	/* Register the Windows OS function GetWindowRect() */
	FUNCDEF('GetWindowRect', '32u, void, 32[4] stor', 'user32')

	CATCH FAILURE
		CONDITION("M")
		RETURN
END







/* ============================================================== */

/* See if the Rexx Programmer Center main window is open. Its custom class name is
 * "RexxMain".
 */
handle = FindWindow("RexxMain")
IF handle \== 0 THEN DO

	err = GetWindowRect(handle, myRect)
	IF err == 1 THEN DO
		width = myRect.3 - myRect.1
		height = myRect.4 - myRect.2

		GuiSay("RPC window: Width = " || width || ", height = " || height || '0D0A'X || "Left X = " || myRect.1 || ", Top Y = " || myRect.2 || '0D0A'X || "Right X = " || myRect.3 || ", Bottom Y = " || myRect.4)
	END
	ELSE GuiSay("Can't get RPC dimensions")

END
ELSE GuiSay("Can't find RPC main window!")
